# Form implementation generated from reading ui file 'src/eric7/RemoteServerInterface/EricServerProfilesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EricServerProfilesDialog(object):
    def setupUi(self, EricServerProfilesDialog):
        EricServerProfilesDialog.setObjectName("EricServerProfilesDialog")
        EricServerProfilesDialog.resize(441, 281)
        EricServerProfilesDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(EricServerProfilesDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.connectionsList = QtWidgets.QListWidget(parent=EricServerProfilesDialog)
        self.connectionsList.setEditTriggers(QtWidgets.QAbstractItemView.EditTrigger.NoEditTriggers)
        self.connectionsList.setAlternatingRowColors(True)
        self.connectionsList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.connectionsList.setObjectName("connectionsList")
        self.gridLayout.addWidget(self.connectionsList, 0, 0, 1, 1)
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.addButton = QtWidgets.QPushButton(parent=EricServerProfilesDialog)
        self.addButton.setObjectName("addButton")
        self.verticalLayout.addWidget(self.addButton)
        self.editButton = QtWidgets.QPushButton(parent=EricServerProfilesDialog)
        self.editButton.setObjectName("editButton")
        self.verticalLayout.addWidget(self.editButton)
        self.removeButton = QtWidgets.QPushButton(parent=EricServerProfilesDialog)
        self.removeButton.setObjectName("removeButton")
        self.verticalLayout.addWidget(self.removeButton)
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem)
        self.resetButton = QtWidgets.QPushButton(parent=EricServerProfilesDialog)
        self.resetButton.setObjectName("resetButton")
        self.verticalLayout.addWidget(self.resetButton)
        self.gridLayout.addLayout(self.verticalLayout, 0, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=EricServerProfilesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 1, 0, 1, 2)

        self.retranslateUi(EricServerProfilesDialog)
        self.buttonBox.accepted.connect(EricServerProfilesDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(EricServerProfilesDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EricServerProfilesDialog)

    def retranslateUi(self, EricServerProfilesDialog):
        _translate = QtCore.QCoreApplication.translate
        EricServerProfilesDialog.setWindowTitle(_translate("EricServerProfilesDialog", "Manage Server Connections"))
        self.connectionsList.setSortingEnabled(True)
        self.addButton.setToolTip(_translate("EricServerProfilesDialog", "Press to open a dialog to add a new server connection."))
        self.addButton.setText(_translate("EricServerProfilesDialog", "Add..."))
        self.editButton.setToolTip(_translate("EricServerProfilesDialog", "Press to open a dialog to edit the selected server connection."))
        self.editButton.setText(_translate("EricServerProfilesDialog", "Edit..."))
        self.removeButton.setToolTip(_translate("EricServerProfilesDialog", "Press to remove the selected server connections."))
        self.removeButton.setText(_translate("EricServerProfilesDialog", "Remove"))
        self.resetButton.setToolTip(_translate("EricServerProfilesDialog", "Press to reset all changes performed."))
        self.resetButton.setText(_translate("EricServerProfilesDialog", "Reset"))
